/*
 * $Log: defs.h,v $
 * Revision 1.7  1998/06/12 20:03:01  jrh
 * Fixed -i bug
 *
 * Revision 1.6  1996/12/23 22:32:46  jrh
 * Checkin for 1.62
 *
 * Revision 1.5  1996/07/09  12:25:57  jrh
 * post fsel (1.60)
 *
 * Revision 1.4  1995/12/30  18:28:09  root
 * For v1.57 (QXL baud, SH status, CSM crash)
 *
 * Revision 1.3  1995/11/26  14:29:04  root
 * Added system type
 *
 * Revision 1.2  1995/11/12  15:29:37  root
 * Baud rates for QXL etc
 *
 * Revision 1.1  1995/09/16  17:22:18  root
 * Initial login under Linux
 *
 * Revision 1.5  1995/03/31  21:21:23  jrh
 * Add User menu code and icon
 *
 * Revision 1.4  1995/02/12  18:03:25  jrh
 * beta for scripting
 *
 * Revision 1.3  1994/12/15  21:34:58  jrh
 * variable changes
 *
 * Revision 1.2  1994/05/31  22:19:55  jrh
 * c68 v4.13c fixes
 *
 * Revision 1.1  1994/05/30  21:44:22  jrh
 * Initial checkin at v1.33
 *
 * $Id: defs.h,v 1.7 1998/06/12 20:03:01 jrh Exp $
 */

#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <qdos.h>
#include <qptr.h>
#include "ql.h"
#include "qem.h"
#include "pqdial.h"
#include "pqset.h"
#include "qtpptr.h"
#include "qstr.h"
#include <things.h>
#include <pd/xproto.h>
#include "xprmsg.h"

#define Local static
#define Prototype extern

#define PTR_MIN_VER 0x312e3338  /* Require 1.38 for -n menu selection */

#include "qtp-proto.h"

#define LIT_MOVE    0
#define LIT_SIZE    1
#define LIT_SLEEP   2
#define LIT_FILES   3
#define LIT_MODEM   4
#define LIT_PREFS   5
#define LIT_DIAL    6
#define LIT_XFER    7
#define LIT_HANDY   8
#define LIT_QUIT    9
#define LIT_SCRIPT  10
#define LIT_WATCH   11
#define LIT_HELP    12

extern jcall (void (*)(), char *, int, int, int,...);
extern pick(int, int, int, int);
extern setptr(int, int, short *, short *, int);
extern wm_version(int, int *);
extern PSERBLK GetpS(void);
extern Scroll(int, int);
extern Pan(int, int);
extern ReadCsr(int, short *, short *);
extern ANSIAll(int);
extern ANSIFont(int);
extern QLFont(int);
extern WinPos(int, short *);
extern CtlFont(int);
extern DECGraf(int);
extern void SetSerial(int);

extern char * ReturnLastLine(void);
extern char *InitWait(char *);
extern int SearchBook(char *);
extern char *SrvStats(char *,...);
unsigned short SplitBaud(unsigned short);

extern char *mystrdup(const char *);
extern int GetMenuFile(char *, char *, char*);

#ifdef REPORT
 #define Report(__p) debug __p 
 extern void debug (char *,...);
#else
 #define Report(__p)
#endif




