/*
 * $Log: xprmsg.h,v $
 * Revision 1.2  1995/11/12 15:29:37  root
 * Baud rates for QXL etc
 *
 * Revision 1.1  1995/09/16  17:22:18  root
 * Initial login under Linux
 *
 * Revision 1.3  1995/05/31  17:03:57  jrh
 * No CR option and new XPR (nothing)
 *
 * Revision 1.2  1994/05/31  22:19:55  jrh
 * c68 v4.13c fixes
 *
 * Revision 1.1  1994/05/30  21:44:13  jrh
 * Initial checkin at v1.33
 *
 * $Id: xprmsg.h,v 1.2 1995/11/12 15:29:37 root Exp $
 */

#ifndef _XPRMSG_H
#define _XPRMSG_H

#define XMSG_START      0x1000
#define XMSG_STATUS     0x1001
#define XMSG_SETDATA    0x1002
#define XMSG_SEND       0x1003
#define XMSG_RECV       0x1004
#define XMSG_DONE       0x1005
#define XMSG_CANCEL     0x1006
#define XMSG_UPDATE     0x1007
#define XMSG_GETS       0x1008
#define XMSG_SETUP      0x1009
#define XMSG_MSG        0x100A

typedef struct
{
    long    QXPR;
    char *xprname;
    char *libdir;
    PSERBLK psaddr;
    int chid;
    int job;
    int logid;
    int status;
    void *buf;
    int  size;
    int  check;
    short flag;
    short icon;
    void *area;
} XPRTHG, *PXPRTHG;
#endif



