/*
 * $Log: list.c,v $
 * Revision 1.1  1995/09/16 17:22:18  root
 * Initial login under Linux
 *
 * Revision 1.1  1994/05/30  21:43:46  jrh
 * Initial checkin at v1.33
 *
 */

static char rcsid[] ="$Id: list.c,v 1.1 1995/09/16 17:22:18 root Exp $";

#include <stdio.h>
#include "defs.h"

Prototype ins_list (PLLIST *, PLLIST, int (*)());
Prototype rem_node (PLLIST *, int);

ins_list (PLLIST * pHead, PLLIST pi, int (*func) ())
{
    PLLIST pl = NULL;
    PLLIST pz;

    if (*pHead == NULL)
    {
	*pHead = pi;
	pi->next = NULL;
    }
    else
    {
	pl = NULL;
	for (pz = *pHead; pz; pz = pz->next)
	{
	    if (func)
	    {
		int n;

		n = (*func) (pi->item, pz->item);
		if (n)
		{
		    if (pl)
		    {
			pl->next = pi;
		    }
		    else
		    {
			*pHead = pi;
		    }
		    pi->next = pz;
		    return 0;
		}
	    }
	    pl = pz;
	}
	pl->next = pi;
	pi->next = NULL;
    }
}
rem_node (PLLIST * pHead, int n)
{
    int i;
    PLLIST pi, pz, pl;

    if (*pHead)
    {
	pl = NULL;
	for (pz = *pHead, i = 0; i < n; i++)
	{
	    pl = pz;
	    pz = pz->next;
	}
	if (pl)
	{
	    pl->next = pz->next;
	}
	else
	{
	    *pHead = pz->next;
	}
	xfree (pz->item);
	xfree (pz);
    }
}




