/*
 * $Log: litem.c,v $
 * Revision 1.1  1995/09/16 17:22:18  root
 * Initial login under Linux
 *
 * Revision 1.1  1994/05/30  21:43:33  jrh
 * Initial checkin at v1.33
 *
 */

static char rcsid[] ="$Id: litem.c,v 1.1 1995/09/16 17:22:18 root Exp $";

/* Loose Menu Item Utilities */

#include <qdos.h>
#include <qptr.h>

#include "defs.h"

Prototype long lit_event (struct WM_wwork *, struct WM_litm *);
Prototype long lit_reset (struct WM_wwork *, short);
Prototype long lit_resev (struct WM_wwork *, struct WM_litm *);

long lit_event (struct WM_wwork *wwk, struct WM_litm *li)
{
    return li->skey + 14;	/* calculate event for selection key */
}

long lit_reset (struct WM_wwork *wwk, short lit)
{
    wwk->wstat->litem[lit] = WSI_MKAV;	/* set make available */
    return wm_ldraw (wwk, -1);	/* and re-draw */

}

long lit_resev (struct WM_wwork *wwk, struct WM_litm *li)
{
    lit_reset (wwk, li->item);
    return li->skey + 14;	/* calculate event for selection key */
}
