/*
 * $Log: qstr.h,v $
 * Revision 1.3  1997/08/23 21:13:59  jrh
 * pre config removal
 *
 * Revision 1.2  1996/07/09 12:25:57  jrh
 * post fsel (1.60)
 *
 * Revision 1.1  1995/09/16  17:22:18  root
 * Initial login under Linux
 *
 * Revision 1.6  1995/03/31  21:21:23  jrh
 * Add User menu code and icon
 *
 * Revision 1.5  1995/03/13  22:13:34  jrh
 * Added init/exit scripting
 *
 * Revision 1.4  1995/03/12  23:00:08  jrh
 * scripting
 *
 * Revision 1.3  1994/12/15  21:34:58  jrh
 * variable changes
 *
 * Revision 1.2  1994/05/31  22:19:55  jrh
 * Additional options for connect logic
 *
 * Revision 1.1  1994/05/30  21:44:20  jrh
 * Initial checkin at v1.33
 *
 * $Id: qstr.h,v 1.3 1997/08/23 21:13:59 jrh Exp $
 */
#ifndef QSTR_H
#define QSTR_H
#ifdef MAIN_MODULE
char SMenuDat[40] = {0};
char StartScript[40] = {0};
char ShutScript[40] = {0};
char ScriptLog[40] = "ram2_Script_log";
char DefLog[40] = "ram2_QTPI_log";
char CapFile[40] = "ram2_";
char SendFile[40] = "ram2_";
char XmRFile[40] = "ram2_DownLoad_";
char XmSFile[40] = "ram2_UpLoad_";
char Qbook_dat[40] = "flp1_QBook_Dat";
char LibDir[40] = "flp1_";
char KeyFile[40] = "flp1_QTPI-Keys_dat";
char ConfigPath[40] = "flp1__dat";
char XfrFile[40] = "ram1_QTPIxfer_log";
char DtxtTry[10] = "0";
char DtxtWait[10] = "60";
char TScroll[10] = "0";
char DBuffer[10] = "16K";
char OBuffer[10] = "";
char ZBuffer[10] = "250";
char MdmCtrl[8][32] =
    {
        {"+++\\|\\~ATH0\\r"},
        {"ATH1\\r"},
        {"ATA\\r"},
        {"ATS0=2\\r"},
        {"+++\\|\\~ATZ\\r"},
        {"ATI0I1I2I3\\r"},
        {"CONNECT"},
        {"NO CARRIER"}
    };
char ModemIni[40] = {"ATZ\\r"};
char PreDial[40] = {"ATD"};
char PostDial[40] = {"\\r"};
char pPhoneNo[40] = {0};
char ComDev[40] = {0};
char BaseName[72] = {0};
char MyProtocol[16] = {0};
char ApresDial[40] = {0};
char EscBuf[128] = {0};
char cSet[2] = {0};
char CmdDel[10] = "0";
char xproto[16] = {"??"};
#else
extern char SMenuDat[];
extern char StartScript[];
extern char ShutScript[];
extern char ScriptLog[];
extern char DefLog[];
extern char DtxtTry[];
extern char DtxtWait[];
extern char TScroll[];
extern char MdmCtrl[][32];
extern char CapFile[];
extern char XfrFile[];
extern char SendFile[];
extern char XmRFile[];
extern char XmSFile[];
extern char Qbook_dat[];
extern char LibDir[];
extern char KeyFile[];
extern char DBuffer[];
extern char OBuffer[];
extern char ZBuffer[];
extern char ModemIni[];
extern char PreDial[];
extern char PostDial[];
extern char pPhoneNo[];
extern char ComDev[];
extern char BaseName[];
extern char MyProtocol[];
extern char ApresDial[];
extern char EscBuf[];
extern char cSet[];
extern char CmdDel[];
extern char xproto[];

#endif
#endif

