#
*
* $Log: qtasks.s,v $
* Revision 1.1  1998/10/09 21:06:33  jrh
* Initial revision
*
* Revision 1.3  1995/12/30 18:28:09  root
* For v1.57 (QXL baud, SH status, CSM crash)
*
* Revision 1.2  1995/11/12  15:33:40  root
* SCheduler
*
* Revision 1.1  1995/09/16  17:22:18  root
* Initial login under Linux
*
*Revision 1.8  1995/03/29  13:07:02  jrh
*Have I fixed the Minnie junk feature ?
*
*Revision 1.7  1995/03/15  21:55:18  jrh
**** empty log message ***
*
*Revision 1.6  1995/03/12  23:00:08  jrh
*scripting
*
*Revision 1.5  1994/12/22  17:55:07  jrh
*mono colours for clock
*
*Revision 1.4  1994/12/15  21:36:09  jrh
*changes for DCD
*
*Revision 1.3  1994/06/05  19:10:16  jrh
*Not changed ?
*
*Revision 1.2  1994/05/31  22:19:55  jrh
*c68 v4.13c fixes
*
* Revision 1.1  1994/05/30  21:43:51  jrh
* Initial checkin at v1.33
*
*
.data
 dc.b "$Id: qtasks.s,v 1.1 1998/10/09 21:06:33 jrh Exp $"
.even

mt.susjb	equ	$08
mt.reljb	equ	$09
mt.rclck	equ	$13
mt.alchp	equ	$18

io.fbyte	equ	$1
io.fstrg	equ	$3
io.sbyte	equ	$5
io.sstrg	equ	$7

sd.pos		equ	$10
sd.clrrt	equ	$24
sd.setpa	equ	$27
sd.setst	equ	$28
sd.setin	equ	$29		
sd.pixp         equ     $17
sd.clear        equ     $20

fs.load 	equ	$48

io.qset 	equ	$dc
io.qout 	equ	$e2
io.qin		equ	$e0
io.qtest	equ	$de

cn.date 	equ	$ec
ut.mtext	equ	$d0
ut.mint 	equ	$ce
ut.err		equ	$cc

WHITE	equ	7
RED     equ     2
GREEN	equ	4
BLACK	equ	0

CAPS	equ	0
ATIM	equ	2
LTIM	equ	24

Ctrl_Q	equ	$11
Ctrl_S	equ	$13

Q_CHID	equ	0
Q_CLK	equ	4
Q_STATE equ	8

SERID	equ	0
PID	equ	4
RQUE	equ	8
SCHR	equ	12
SSTR	equ	16
SQCS	equ	20
XFLAG	equ	24
WAIT	equ	26
IDENT	equ	28
QCON	equ	30
QCIS	equ	31
QERR	equ	32
QPATCH 	equ	33
QXCT	equ	34
QSTS	equ	35
QXON	equ	36
QXOF	equ	40
QSIZE	equ	44
QCNT	equ	48
QBUFF	equ	52
QADDR	equ	56
SERSTS	equ	60

USC	equ	31

SENDOUT equ     7200

.text
.even

.globl	_ReadQue
.globl	_SerRead
.globl	_GetpS
.globl	_QeMClk

#ifdef QTPI
.extern _QAwake
.extern _mono
#endif

_ReadQue:
	movem.l a2-a4/d2-d5,-(sp)	;save registers
	move.l	4+28(sp),d2		;Time out
	move.l	8+28(sp),a4		;Return address
	move.l	12+28(sp),d4		;Max Buf
	move.l	#0,d5			; zero counter
	lea.l	pSBlk,a2		; Queue counter
	move.l	QBUFF(a2),a3		; get buffer
r1:
        move.l  SERSTS(a2),d0           ;status
        bne     rd2                     ;done
	move.l	QCNT(a2),d3		;Queue length
	ble	wait			;wait if none
	cmp.l	d3,d4			;compare sizes
	bge	m1			;we`re bigger
	move.l	d4,d3			;so use us
m1:	move.l	QADDR(a2),a1
	add.l	QSIZE(a2),a1
m2:
	move.b	(a3)+,(a4)+
	cmpa.l	a3,a1			;see if limit
	bne	m3			;no
	move.l	QADDR(a2),a3		;start of queue
m3:
	subq.l	#1,d4			;decrement requirements
	addq.l	#1,d5			;increment number available
	subi.l	#1,QCNT(a2)		;decrement buffer
        subq.l  #1,d3
        bgt     m2
	move.l	a3,QBUFF(a2)		;save it
	tst.l	d4			;need any more ?
	beq	rDone			;no, so quit
wait:	tst.l	d2			;see if wait
	beq	rDone			;no wait
	moveq	#1,d3			;one frame
	bsr	Pause			;wait 1 frame
	dbra	d2,r1			;timeout loop
rDone:
	move.l	28+16(sp),a1
	move.l	d5,(a1)
	beq	rd1
	moveq	#0,d0			;OK
	bra	rd2
rd1:	moveq	#-1,d0
rd2:	movem.l (sp)+,a2-a4/d2-d5	;restore registers
rd3:	rts				;return

SendChr:
	movem.l a2-a4/d2-d4,-(sp)	; save registers
	lea.l	pSBlk,a4		; Serial I/O block
	move.l	SERID(a4),a0		; the channel
	move.w	24+4(sp),d1		; the string
send0:
	bsr	Send_X			; send character
sxdone:
        move.l  d0,SERSTS(a4)
	movem.l (sp)+,a2-a4/d2-d4	; restore registers
	rts

SendStr:
	movem.l a2-a4/d2-d4,-(sp)	; save registers
	lea.l	pSBlk,a4		; Serial I/O block
        tst.b   QCIS(a4)                ; using CIS
        bne     use_qc                  ; yes
	move.l	24+4(sp),a1		; the string
	move.l	a1,-(sp)		; our string
	jsr	_strlen			; out it
	move.l	(sp)+,a1		; restore stack
	move.l	d0,d2			; size
	bra	no_qc			; output it
use_qc:
	move.l	SERID(a4),a0		; the channel
	move.l	24+4(sp),a2		; string address
        move.l  SERSTS(a4),d0
qcloop:
	move.b	(a2)+,d1		; get next byte
	cmpi.b	#0,d1
	beq	qcdone			; NUL = end
	bsr	Send_X			; send this character
        tst.l   d0
        beq	qcloop			; carry in
qcdone:
        move.l  d0,SERSTS(a4)
	movem.l (sp)+,a2-a4/d2-d4	; restore registers
	rts

SendQCs:
        reset
no_qc:
	move.l	SERID(a4),a0		; the channel
	move.w	#SENDOUT,d3		; timeout
	moveq	#io.sstrg,d0		; function
	trap	#3			; do it
        move.l  d0,SERSTS(a4)
	movem.l (sp)+,a2-a4/d2-d4	; restore registers
	rts

_SerRead:
	move.l	4(sp),a4		;Control block address
	move.l	QADDR(a4),a5		;Queue data
	move.l	QXOF(a4),d7		;Xoff limit
	moveq	#0,d6			;Xoff flag
	move.l	a5,a6
	add.l	QSIZE(a4),a6
        lea.l   buffer,a2
s1:
	cmp.b	#0,QPATCH(a4)
	beq	s101
	move.b	#0,QPATCH(a4)
	bsr	kip
s101:	
	moveq	#0,d4			; counter
	move.l	SERID(a4),a0		; Get channel Id
	cmpa.l	#0,a0			; see if OK ?
	ble	s3			; sleep if not set

	move.l	QCNT(a4),d1		;get queue size
	addi.l	#64,d1			;plus I/O Buffer
	cmp.l	QSIZE(a4),d1		;check size
	bge	s0			;Oh dear !

noql:
	moveq	#io.fstrg,d0		;fs.load
	moveq	#0,d3			;for 0 ticks
	moveq	#64,d2			;buffer size
	move.l	a2,a1   		;local buffer
	trap	#3			;do it

	cmp.l	#-1,d0			;see if serious
	bge	s2a			;no, data, OK or timeout

        cmp.l   #-6,d0                  ;EOF, i.e. CD loss
        beq     s20

        cmp.l   #-10,d0                 ;EOF, i.e. CD loss
        bne     s2a

s20:    move.l  d0,SERSTS(a4)           ; show error
        bsr     kip                     ; do it
        bra     s1                      ; try again
        
s2a:    cmp.l   a1,a2                   ; check for any
        beq     s2
s2b:
	andi.l	#$FFFF,d1
	move.w	d1,d3			;see if any
	move.l	d1,d2			;save it
	ble	s2			;skip if none
	subq.w	#1,d3			;loop counter
	move.l	a2,a1   		;start of buffer
qpx:
	move.b	(a1)+,d1		;get character from buffer
	addq.l	#1,d4			; count
	tst.b	QCIS(a4)		; 7 bit outfit ?
	beq	q8			; no
	andi.b	#$7f,d1			; strip
q8:
	move.b	d1,(a5)+		; put in queue
	addi.l	#1,QCNT(a4)		; increment count
	cmpa.l	a5,a6			; see if end
	bne	lpy			; its not
	move.l	QADDR(a4),a5		; reset queue
lpy:
	dbra	d3,qpx			;carry on

s0:
s00:		
	tst.w	XFLAG(a4)		; see if Xoff/xon
	bne	s06                     ; yes, do that
        move.l  QXOF(a4),d2             ; xoff point
        cmp.l   QCNT(a4),d2             ; see if free
        bgt     s55                     ; continue
        move.l  QSIZE(a4),d2            ; get buffer
        asr.l   #1,d2                   ; half will do
s07:
        moveq   #10,d3                  ; why not ?
	bsr	Pause			; wait a tick
        cmp.l   QCNT(a4),d2             ; see if free
        bge     s1                      ; yes, so exit
	bra	s07			; loop
s06:
	move.l	QCNT(a4),d2		; size
	cmp.l	d2,d7			; see if at Xoff point
	bgt	s55			; its not,so carry on 
	move.b	#Ctrl_S,d1		; XOff character
	bsr	Send_X			; send an xoff
	addq.w	#1,d6			; increment counter
	addi.l	#16,d7			; next interval
	bra	s5			; carry on
s2:
	tst.w	XFLAG(a4)		; see if xon/xoff enabled
	beq	s5			; its not
	tst.l	d6			; see if Xoff set
	beq	s5			; its not
	move.l	QCNT(a4),d2		; do it
	cmp.l	QXON(a4),d2		; start point
	bgt	s5			; not ready yet
	subq.w	#1,d6			; decrement counter
	move.b	#Ctrl_Q,d1		; send an Xon
	bsr	Send_X			; send it
s3:
	move.l	QXOF(a4),d7		; next stop value
s5:	move.b	d6,QXCT(a4)		; save count
s55:	tst.l	d4			; any data
	bne	s1			; yes, so try again
	move.w	WAIT(a4),d3		; frames to wait
	bsr	Pause			; wait a tick
	bra	s1			; loop

kip:    moveq   #-1,d3
Pause:
	moveq	#mt.susjb,d0		; suspend job
	moveq	#-1,d1			; this job
	movea.l #0,a1			; no zero
	trap	#1			; do it
	rts

Send_X:
	cmpa.l	#0,a0
	beq	xDone
        tst.b   QCIS(a4)
        beq     xok
        bsr     parity
xok:	moveq	#io.sbyte,d0		; send byte
	move.w	#SENDOUT,d3		; timeout
	trap	#3			; do it
xDone:
	rts				; return

parity:
	movem.l	d0/d2/d3/d4/d7,-(sp)
	moveq	#0,d7
	moveq	#0,d0
	bra	pl4
pl1:
	move.b	d1,d2
	moveq	#1,d4
	asl.b	d7,d4
	move.b	d4,d3
	and.b	d2,d3
	beq	pl6
	addq.b	#$01,d0
pl6:
	addq.b	#$01,d7
pl4:
	cmp.b	#$07,d7
	bcs	pl1
pl3:
        cmpi.b  #$65,QCIS(a4)		; 'e'
        beq     pl14
        cmpi.b  #$43,QCIS(a4)		; 'C'
        beq     pl14
	cmpi.b	#$73,QCIS(a4)		; 's'
	beq	pl9
	cmpi.b	#$6d,QCIS(a4)		; 'm'
	beq	pl15
	cmpi.b	#$6f,QCIS(a4)		; 'o'
	bne	pl10
	eori.b	#$01,d0
pl14:
	btst	#$00,d0
	beq	pl9
pl15:
	bset	#$07,d1
	bra	pl10
pl9:
	and.b	#$7f,d1
pl10:
	movem.l	(sp)+,d0/d2/d3/d4/d7
	rts

*-------- QemClk ------------------------------
_QeMClk:
	move.l	4(sp),a5	       ; structure pointer
	lea.l	0(a6,a4.w),a4	       ; data address
	moveq	#0,d0		       ; mt.inf
	trap	#1		       ; get sysvars
	lea.l	$88(a0),a3	       ; save them
	move.w	#1,CAPS(a4)	       ; initial value
clock:
	cmpi.l	#-1,Q_STATE(a5) 	 ;see if online
	beq	sleep
	move.l	Q_CHID(a5),a0		; channel pointer
	cmpa.l	#0,a0			; set up OK
	ble	sleep			; sleep
	moveq	#-1,d3			; timeout
#ifdef  QTPI
        cmpi.b  #1,_QAwake               ; awake
        blt     sleep                   ; no
        beq     clk1                    ; normal
        moveq   #sd.clear,d0            ; new wake
        trap    #3                      ; do it
        move.b  #1,_QAwake               ; flag
#endif
clk1:
	move.w	(a3),d1
	cmp.w	CAPS(a4),d1
	beq	tick
	move.w	d1,CAPS(a4)
	bne	t1
	bsr	cknorm
	bra	t2
t1:
	bsr	ckcaps
t2:	
	moveq   #sd.clear,d0            ; new wake
        trap    #3                      ; do it
tick:
	move.l	a0,-(sp)		; save chan Id
	moveq	#mt.rclck,d0		;trap
	trap	#1			;do it
	move.l	(sp)+,a0		;restore chid
	move.l	d1,d7			;read time
#ifdef QTPI
	moveq	#1,d2			;ypos
#else
	moveq	#0,d2			;ypos
#endif
	moveq	#6,d1			;xpos
	moveq	#sd.pixp,d0		;position cursor
	trap	#3			;do it
	cmpi.l	#7,Q_STATE(a5)		;see if online
	bne	dotime			;not
	move.l	Q_CLK(a5),d2		;connect time
	sub.l	d2,d7			;delta time
dotime:
	bsr	ShowTime		;display time
#ifdef QTPI
	moveq	#1,d2			;ypos
#else
	moveq	#0,d2			;ypos
#endif
	moveq	#66,d1			;xpos
	moveq	#sd.pixp,d0		;position cursor
	trap	#3			;do it
	movem.l a1-a3,-(sp)		; save these
	moveq	#6,d0			; mt.free
	trap	#1			; do it
	asr.l	#8,d1			; make Kb
	asr.l	#2,d1			; make Kb
	andi.l	#$ffff,d1		; OK
	move.l	Q_CHID(a5),a0		; the channel
	move.w	ut.mint,a2		; vector
	jsr	(a2)			; do it
*	move.b	#32,d1			; space
*	bsr	xok			; send it
	move.b	#75,d1			; K
	bsr	xok			; send it
	movem.l (sp)+,a1-a3		; now restore these
	moveq	#-1,d3			; t/o
	moveq	#sd.clrrt,d0		; act
	trap	#3			; do it
sleep:
	moveq	#50,d3		       ;one second
	move.l	a0,-(sp)	       ;save channel id
	bsr	Pause		       ;wait
	move.l	(sp)+,a0	       ;restore it
	bra	clock

ShowTime:
	move.l	d7,d1			;time
	lea.l	LTIM(a4),a1		;buffer
	suba.l	a6,a6			;zero a6
	move.w	cn.date,a2		;vector
	jsr	(a2)			;do it
	lea.l	12(a1),a1		;bit we need
	move.w	#8,(a1) 		;size we need
	move.w	ut.mtext,a2		;display vector
	jsr	(a2)			;display it
	rts

cknorm:
	moveq	#WHITE,d1
	moveq	#sd.setin,d0
	trap	#3
	moveq	#BLACK,d1
	moveq	#sd.setst,d0
	trap	#3
	moveq	#BLACK,d1
	moveq	#sd.setpa,d0
	trap	#3
	rts
ckcaps:
	move.b	_mono,d1
	beq	ckc01	
	moveq	#WHITE,d1
	moveq	#sd.setst,d0
	trap	#3
	moveq	#WHITE,d1
	moveq	#sd.setpa,d0
	trap	#3
	moveq	#BLACK,d1
	bra	ckc02
ckc01:
	moveq	#RED,d1
ckc02:
	moveq	#sd.setin,d0
	trap	#3
	rts
_GetpS:
	lea.l	pSBlk,a0
	move.l	a0,d0
	rts

.even
buf:	ds.b	16

.even
buffer: ds.b	72

.align 4
pSBlk:
	dc.l	0		; Channel   0
	dc.l	0		; PID       4
	dc.l	_ReadQue 	; ReadQue   8
	dc.l	SendChr 	; SendChar  12
	dc.l	SendStr 	; SendStr   16
	dc.l	SendQCs 	; SendQCs   20
	dc.w	0		; Flow      24
	dc.w	2		; Wait      26
	dc.b	'JH'		; IDent     28
	dc.b	0		; QCon      30
        dc.b    0               ; QCIS      31
	dc.b	0		; QErr      32
	dc.b	0		; qpatch    33
	dc.b	0		; qxct      34
	dc.b	0		; qsts      35
	dc.l	0		; qxon      36
	dc.l	0		; qxof      40
	dc.l	0		; qsize     44
	dc.l	0		; qcnt      48
	dc.l	0		; qbuf      52
	dc.l	0		; qaddr     56
        dc.l    0               ; sersts    60
	end
